Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weka.gui.beans
Interface BeanCommon

All Known Implementing Classes:
  AbstractDataSink, AbstractEvaluator, AbstractTestSetProducer, AbstractTrainAndTestSetProducer, AbstractTrainingSetProducer, ClassAssigner, Classifier, ClassifierPerformanceEvaluator, ClassValuePicker, Clusterer, ClustererPerformanceEvaluator, CrossValidationFoldMaker, Filter, IncrementalClassifierEvaluator, MetaBean, PredictionAppender, Saver, StripChart, TestSetMaker, TrainingSetMaker, TrainTestSplitMaker

    public interface BeanCommon

Interface specifying routines that all weka beans should implement in order to allow the bean environment to exercise some control over the bean and also to allow the bean to excercise some control over connections. Beans may want to impose constraints in terms of the number of connections they will allow via a particular listener interface. Some beans may only want to be registered as a listener for a particular event type with only one source, or perhaps a limited number of sources.

Since:
  1.0
Version:
  $Revision: 1.1.2.1 $
Author:
  Mark Hall

Method Summary
`boolean` | `connectionAllowed(java.beans.EventSetDescriptor esd)` Returns true if, at this time, the object will accept a connection via the supplied EventSetDescriptor
`boolean` | `connectionAllowed(java.lang.String eventName)` Returns true if, at this time, the object will accept a connection via the named event
`void` | `connectionNotification(java.lang.String eventName, java.lang.Object source)` Notify this object that it has been registered as a listener with a source for recieving events described by the named event This object is responsible for recording this fact.
`void` | `disconnectionNotification(java.lang.String eventName, java.lang.Object source)` Notify this object that it has been deregistered as a listener with a source for named event.
`void` | `setLog(Logger logger)` Set a logger
`void` | `stop()` Stop any processing that the bean might be doing.

Method Detail

### stop

    void stop()

  Stop any processing that the bean might be doing.

### setLog

    void setLog(Logger logger)

  Set a logger

  Parameters:
    `logger` - a `weka.gui.Logger` value

### connectionAllowed

    boolean connectionAllowed(java.beans.EventSetDescriptor esd)

  Returns true if, at this time, the object will accept a connection via the supplied EventSetDescriptor

  Parameters:
    `esd` - the EventSetDescriptor
  Returns:
    true if the object will accept a connection

### connectionAllowed

    boolean connectionAllowed(java.lang.String eventName)

  Returns true if, at this time, the object will accept a connection via the named event

  Parameters:
    `eventName` - the name of the event
  Returns:
    true if the object will accept a connection

### connectionNotification

    void connectionNotification(java.lang.String eventName,
                                java.lang.Object source)

  Notify this object that it has been registered as a listener with a source for recieving events described by the named event This object is responsible for recording this fact.

  Parameters:
    `eventName` - the event
    `source` - the source with which this object has been registered as a listener

### disconnectionNotification

    void disconnectionNotification(java.lang.String eventName,
                                   java.lang.Object source)

  Notify this object that it has been deregistered as a listener with a source for named event. This object is responsible for recording this fact.

  Parameters:
    `eventName` - the event
    `source` - the source with which this object has been registered as a listener

Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD